org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class OrTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.OrTest

- Direct Known Subclasses:
    OrTest.Traversals

      public abstract class OrTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_orXselectXaX_selectXaXX()`
    `void` | `g_V_orXhasXage_gt_27X__outE_count_gte_2X_name()`
    `void` | `g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_asXaX_orXselectXaX_selectXaXX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_orXhasXage_gt_27X__outE_count_gte_2X_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrTest

          public OrTest()

  - ### Method Detail

    - #### get_g_V_orXhasXage_gt_27X__outE_count_gte_2X_name

          public abstract Traversal<Vertex,String> get_g_V_orXhasXage_gt_27X__outE_count_gte_2X_name()

    - #### get_g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name

          public abstract Traversal<Vertex,String> get_g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name()

    - #### get_g_V_asXaX_orXselectXaX_selectXaXX

          public abstract Traversal<Vertex,Vertex> get_g_V_asXaX_orXselectXaX_selectXaXX()

    - #### g_V_orXhasXage_gt_27X__outE_count_gte_2X_name

          public void g_V_orXhasXage_gt_27X__outE_count_gte_2X_name()

    - #### g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name

          public void g_V_orXoutEXknowsX__hasXlabel_softwareX_or_hasXage_gte_35XX_name()

    - #### g_V_asXaX_orXselectXaX_selectXaXX

          public void g_V_asXaX_orXselectXaX_selectXaXX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.